### Class

# Snapd Screenshot

since: 1.0

#### Description [src]

    final class Snapd.Screenshot : GObject.Object
    {
      /* No available fields */
    }

`SnapdScreenshot` contains screenshot information.

Available since: 1.0

#### Ancestors

- GObject

#### Instance methods

###### snapd_screenshot_get_height

Get the height of the screenshot in pixels or 0 if unknown.

since: 1.0

###### snapd_screenshot_get_url

Get the URL for this screenshot, e.g. “http://example.com/screenshot.png”.

since: 1.0

###### snapd_screenshot_get_width

Get the width of the screenshot in pixels or 0 if unknown.

since: 1.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Snapd.Screenshot:height

No description available.

###### Snapd.Screenshot:url

No description available.

###### Snapd.Screenshot:width

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SnapdScreenshotClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.